#include <bits/stdc++.h>

using namespace std;

long long n, k;

struct Pair{
    long long a, b, inx;

    long long imp() const{
        return abs(a) + abs(b);
    }
};

bool comp(const Pair& p1, const Pair& p2){
    if (p1.imp() != p2.imp()){
        return p1.imp() < p2.imp();
    }

    if (abs(p1.a) != abs(p2.a)){
        return abs(p1.a) < abs(p2.a);
    }

    return p1.inx < p2.inx;
}

void Sort(vector <Pair>& pairs, long long l, long long r){
    if (l >= r) return;

    Pair m = pairs[r];
    long long hix = l;

    for (int i=0; i < r; i++){
        if (comp(pairs[i], m)){
            swap (pairs[i], pairs[hix]);
            hix++;
        }
    }

    swap (pairs[hix], pairs[r]);

    Sort(pairs, l, hix-1);
    Sort(pairs, hix+1, r);
}

int main(){
    cin >> n >> k;

    vector <Pair> pairs(n);

    for (int i=0; i < n; i++){
        cin >> pairs[i].a >> pairs[i].b;
        pairs[i].inx = i+1;
    }

    Sort(pairs, 0, n-1);

    cout << pairs[k-1].inx;

    return 0;
}
