#include <iostream>
#include <algorithm>
using namespace std;

int main() {
    // Входните данни
    int a, b, c, d;
    cin >> a >> b >> c >> d;

    long long cnt = 0;

    // Обхождаме всички възможни стойности на A и B
    for (int A = a; A < b; ++A) {
        for (int B = A + 1; B <= b; ++B) {
            // Дължината на новата отсечка с първия маркер
            int dul = B - A;

            // Изчисляваме C и D така, че дължините да съвпадат и условията да са изпълнени
            int C = (c > d - dul) ? c : d - dul;
            int D = C + dul;

            // Проверка дали новите отсечки са валидни и не се пресичат
            if (C <= c && d <= D && B <= C && D <= d) {
                cnt++;
            }
        }
    }

    // Извеждаме резултата
    cout << cnt << endl;

    return 0;
}
